# Post Authorizations
source: https://developer.mastercard.com/pay-with-rewards/documentation/use-cases/authorizations/post-authorizations/index.md

## Short description {#short-description}

This API is used to send us (non MC) transactions data for PWR processing.

## Sequence diagram {#sequence-diagram}

Diagram pwr-post-authorizations

##### Following are the execution steps: {#following-are-the-execution-steps}

1. The consumer logs into the customer's app.
2. The customer authenticates the consumer.
3. The customer makes a POST request to the /authorizations endpoint to process the consumer's authorization(transaction).
4. The request for processing the authorization has the following mandatory body parameters, among other optional ones:
   * **acquiringInstitutionIdCode** : Acquiring Institution ID Code - DE 32. This field is numeric.
   * **cardAcceptorIdCode** : Merchant ID code to uniquely identify the merchant in a POS transaction - DE 42.
   * **cardAcceptorNameAndLocation** : Name and location of the card acceptor - DE 43.
   * **cardholderBillingAmount** : Transaction amount in the issuer's currency - DE 6.
   * **cardholderBillingCurrencyCode** : Currency code of cardholder billing amount - DE 51.
   * **externalId** : Client reference number for the authorization. Should be a unique identifier.
   * **issuerCountryCode** : Country code for issuer country - DE 20.
   * **merchantCategoryCode** : Card acceptor business code/merchant category code - DE 18.
   * **processingCode** : Enum denoting subfield 1 - DE 3. Possible values are "PURCHASE" or "PURCHASE_WITH_CASHBACK"
   * **queueTransaction** : Enum to determine if the authorization will be queued for processing without receiving a response. Possible values are "Y" or "N".
   * **transactionDateAndTime** : Authorization date and time in "yyyy-MM-dd'T'HH:mm:ssXXX" format.
   * **accountId** : Unique identifier of the account.
   * **accountIdType** : Identifier type for the given account such as BAN or TOKEN.
5. Mastercard Network API Gateway authenticates/authorizes the customer and routes the request to Pay with Rewards in the case of a valid customer.
6. The Pay with Rewards service validates the request parameters received via the `POST /authorizations` endpoint.
7. The Pay with Rewards service will then proceed to process the authorization request and will respond in 1 of 2 ways, under the success case, depending on what was provided in the `queueTransaction` field:
   * "Y" : The request is queued to be processed at a later time and the service responds with just the responseReasonDesc field populated
   * "N" : The request is processed at that time and the service responds with all fields populated
8. The Pay with Rewards service sends a response with a status code of 4xx/5xx in case of an invalid request.

## Endpoint {#endpoint}


API Reference: `POST /authorizations`

